import { AbstractControl, FormArray, FormGroup } from '@angular/forms';
import { DependentValidatorBuilder, DependentValidatorBuilderRoot } from '../declarations';
export declare class DependentValidatorBuilderRootImpl<T extends FormGroup | FormArray> implements DependentValidatorBuilderRoot<T> {
    private form;
    constructor(form: () => T);
    all(...builders: DependentValidatorBuilder[]): DependentValidatorBuilder;
    any(...builders: DependentValidatorBuilder[]): DependentValidatorBuilder;
    validator(predicate: (value: any, form: T) => boolean, firstPath: string | number | ((form: T) => AbstractControl), ...paths: (string | number)[]): DependentValidatorBuilder;
}
