import { FormArray, FormGroup, ValidatorFn } from '@angular/forms';
import { DependentValidator, DependentValidatorBuilderFactory } from '../declarations';
export declare class DependentValidatorImpl<T extends FormGroup | FormArray> implements DependentValidator {
    private rootFn;
    private builderFn;
    private builder;
    private subscribedControls;
    private subscription;
    constructor(rootFn: () => T, builderFn: DependentValidatorBuilderFactory<T>);
    reset(): void;
    applyValidator(path: string | string[], ...validators: ValidatorFn[]): this;
    createValidator(...validators: ValidatorFn[]): ValidatorFn;
}
